## ros-one-jsk-ik-server 0.1.18-14jammy.20251023.1038

=== debian/changelog ===
ros-one-jsk-ik-server (0.1.18-14jammy.20251023.1038) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:38:03 +0000

ros-one-jsk-ik-server (0.1.18-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-jsk-ik-server (0.1.17-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-jsk-ik-server (0.1.16-0jammy) jammy; urgency=high

  * [jsk_ik_server] add TABLIS reachability map (#777 <https://github.com/jsk-ros-pkg/jsk_control/issues/777>)
  * https://projects.coin-or.org have mved to github (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * [jsk_ik_server] add fetch ik reachability map script (#769 <https://github.com/jsk-ros-pkg/jsk_control/issues/769>)
  * avoid zero division ik ik-evaluation.l (#767 <https://github.com/jsk-ros-pkg/jsk_control/issues/767>)
  * [jsk_ik_server] add baxter reachability map script (#771 <https://github.com/jsk-ros-pkg/jsk_control/issues/771>)
    
      * add baxter ik reachability map images in readme
      * add fetch ik reachability map in readme
      * add baxter reachability map
    
  * fix for test (#773 <https://github.com/jsk-ros-pkg/jsk_control/issues/773>)
    
      * indigo requres to add find_pacakge(roseus) to compile roseus message
      * remove roseus from find_package(catkin at jsk_footstep_planner and jsk_ik_server
    
  * [jsk_ik_server] fix typo in hrp2.sh and pr2.sh (#768 <https://github.com/jsk-ros-pkg/jsk_control/issues/768>)
  * [jsk_ik_server] add readme for jsk_ik_server (#772 <https://github.com/jsk-ros-pkg/jsk_control/issues/772>)
  * 2to3 -w -fprint . (#763 <https://github.com/jsk-ros-pkg/jsk_control/issues/763>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-jsk-ik-server (0.1.15-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-jsk-ik-server (0.1.14-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-jsk-ik-server (0.1.13-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-jsk-ik-server (0.1.12-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-jsk-ik-server (0.1.11-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-jsk-ik-server (0.1.10-0jammy) jammy; urgency=high

  * Add centroid method to ik-grid (#636 <https://github.com/jsk-ros-pkg/jsk_control/pull/636>)
    * [wholebody_manipulation_planner] add :centroid method to ik-gird.
    * [jsk_ik_server/euslisp/ik-evaluation.l] fix indent.
  * [jsk_ik_server/euslisp/ik-evaluation.l] add fullbody and initial-pose arguments to ik-evaluation. (#602 <https://github.com/jsk-ros-pkg/jsk_control/pull/602>)
  * [jsk_ik_server/euslisp] extend IK grid function (#576 <https://github.com/jsk-ros-pkg/jsk_control/pull/576>)
    * [jsk_ik_server/euslisp/ik-evaluation.l] add move-target and orient-centerp arguments to ik-evaluation function.
    * [jsk_ik_server/euslisp/ik-evaluation.l] add :insidep method to ik-grid class.
    * [jsk_ik_server/euslisp/ik-evaluation.l] save cube instance in :cube method.
  * Contributors: Masaki Murooka

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-one-jsk-ik-server (0.1.9-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 23 Mar 2016 00:00:00 -0000

ros-one-jsk-ik-server (0.1.8-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-one-jsk-ik-server (0.1.7-0jammy) jammy; urgency=high

  * [jsk_ik_server] Remove grids which are too near to robot
    in stand location planning
  * [jsk_ik_server] Add script to generate reachability images for pr2 and hrp2
  * [jsk_ik_server] Implement Brute-force stand location search.
  * [jsk_ik_server] Implement stand location planning with taking into
    account range of targets
  * [jsk_ik_server] Visualize ik-grid by irtviewer
  * [jsk_ik_server] Implement stand location planning based on continuous ik
    grid.
    Currently only position and mean of pdf is taken into account
  * [jsk_ik_server] Fix jaxon_ik_evaluation.md to render properly on github
  * [jsk_ik_server] Add markdown to visualize ik-grid evaluate
  * [jsk_ik_server] Pretty-printing of progress of generating ik grid like
    min-max table generation
  * [jsk_ik_server/plot_ik_grid.py] Add second argumment to save image file
    instad of showing plot on GUI
  * [jsk_ik_server] Script to visualize reachability in heatmap manner
  * [jsk_ik_server] Add ik-evaluation.l to evaluate spacial ik quarity
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Contributors: Ryohei Ueda

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 00:00:00 -0000

ros-one-jsk-ik-server (0.1.6-0jammy) jammy; urgency=high

  * add files for jaxonred
  * add jaxon to ik_server
  * change order in find_pkg

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-one-jsk-ik-server (0.1.5-0jammy) jammy; urgency=high

  * pass warnp as argument in :fullbody-ik-main
  * remove sample robot test
  * Merge branch 'master' into update-samplerobot-in-ik-server
  * use unix:usleep because hrpsys stops clock
  * use hrpsys sample robot for ik server
  * Contributors: JSK Lab Member, leus, Yusuke Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 00:00:00 -0000

ros-one-jsk-ik-server (0.1.4-0jammy) jammy; urgency=high

  * support hrp2jsknts in ik-server
  * adding hrp2w-ik-server.l

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 21 Oct 2014 00:00:00 -0000

ros-one-jsk-ik-server (0.1.3-0jammy) jammy; urgency=high



## ros-one-jsk-ik-server 0.1.18-14jammy.20251207.2308

=== debian/changelog ===
ros-one-jsk-ik-server (0.1.18-14jammy.20251207.2308) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 23:08:58 +0000

## ros-one-jsk-ik-server 0.1.18-14jammy.20260221.2203

=== debian/changelog ===
ros-one-jsk-ik-server (0.1.18-14jammy.20260221.2203) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:03:28 +0000

## ros-one-jsk-ik-server 0.1.18-14noble.20251023.1056

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_ik_server)

if($ENV{ROS_DISTRO} STREQUAL "indigo") # indigo requres to add find_pacakge(roseus) to compile roseus message
  set(ROSEUS_package roseus)
endif()

find_package(catkin REQUIRED COMPONENTS tf moveit_msgs rostest cmake_modules mk ${ROSEUS_package})

catkin_package(CATKIN_DEPENDS roseus tf moveit_msgs rostest cmake_modules mk ${ROSEUS_package})

install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN ".svn" EXCLUDE
  )

install(DIRECTORY euslisp
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN ".svn" EXCLUDE
  )

=== debian/changelog ===
ros-one-jsk-ik-server (0.1.18-14noble.20251023.1056) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:56:27 +0000

ros-one-jsk-ik-server (0.1.18-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-jsk-ik-server (0.1.17-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-jsk-ik-server (0.1.16-0noble) noble; urgency=high

  * [jsk_ik_server] add TABLIS reachability map (#777 <https://github.com/jsk-ros-pkg/jsk_control/issues/777>)
  * https://projects.coin-or.org have mved to github (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * [jsk_ik_server] add fetch ik reachability map script (#769 <https://github.com/jsk-ros-pkg/jsk_control/issues/769>)
  * avoid zero division ik ik-evaluation.l (#767 <https://github.com/jsk-ros-pkg/jsk_control/issues/767>)
  * [jsk_ik_server] add baxter reachability map script (#771 <https://github.com/jsk-ros-pkg/jsk_control/issues/771>)
    
      * add baxter ik reachability map images in readme
      * add fetch ik reachability map in readme
      * add baxter reachability map
    
  * fix for test (#773 <https://github.com/jsk-ros-pkg/jsk_control/issues/773>)
    
      * indigo requres to add find_pacakge(roseus) to compile roseus message
      * remove roseus from find_package(catkin at jsk_footstep_planner and jsk_ik_server
    
  * [jsk_ik_server] fix typo in hrp2.sh and pr2.sh (#768 <https://github.com/jsk-ros-pkg/jsk_control/issues/768>)
  * [jsk_ik_server] add readme for jsk_ik_server (#772 <https://github.com/jsk-ros-pkg/jsk_control/issues/772>)
  * 2to3 -w -fprint . (#763 <https://github.com/jsk-ros-pkg/jsk_control/issues/763>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-jsk-ik-server (0.1.15-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-jsk-ik-server (0.1.14-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-jsk-ik-server (0.1.13-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-jsk-ik-server (0.1.12-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-jsk-ik-server (0.1.11-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-jsk-ik-server (0.1.10-0noble) noble; urgency=high

  * Add centroid method to ik-grid (#636 <https://github.com/jsk-ros-pkg/jsk_control/pull/636>)
    * [wholebody_manipulation_planner] add :centroid method to ik-gird.
    * [jsk_ik_server/euslisp/ik-evaluation.l] fix indent.
  * [jsk_ik_server/euslisp/ik-evaluation.l] add fullbody and initial-pose arguments to ik-evaluation. (#602 <https://github.com/jsk-ros-pkg/jsk_control/pull/602>)
  * [jsk_ik_server/euslisp] extend IK grid function (#576 <https://github.com/jsk-ros-pkg/jsk_control/pull/576>)
    * [jsk_ik_server/euslisp/ik-evaluation.l] add move-target and orient-centerp arguments to ik-evaluation function.
    * [jsk_ik_server/euslisp/ik-evaluation.l] add :insidep method to ik-grid class.
    * [jsk_ik_server/euslisp/ik-evaluation.l] save cube instance in :cube method.
  * Contributors: Masaki Murooka

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-one-jsk-ik-server (0.1.9-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 23 Mar 2016 00:00:00 -0000

ros-one-jsk-ik-server (0.1.8-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-one-jsk-ik-server (0.1.7-0noble) noble; urgency=high

  * [jsk_ik_server] Remove grids which are too near to robot
    in stand location planning
  * [jsk_ik_server] Add script to generate reachability images for pr2 and hrp2
  * [jsk_ik_server] Implement Brute-force stand location search.
  * [jsk_ik_server] Implement stand location planning with taking into
    account range of targets
  * [jsk_ik_server] Visualize ik-grid by irtviewer
  * [jsk_ik_server] Implement stand location planning based on continuous ik
    grid.
    Currently only position and mean of pdf is taken into account
  * [jsk_ik_server] Fix jaxon_ik_evaluation.md to render properly on github
  * [jsk_ik_server] Add markdown to visualize ik-grid evaluate
  * [jsk_ik_server] Pretty-printing of progress of generating ik grid like
    min-max table generation
  * [jsk_ik_server/plot_ik_grid.py] Add second argumment to save image file
    instad of showing plot on GUI
  * [jsk_ik_server] Script to visualize reachability in heatmap manner
  * [jsk_ik_server] Add ik-evaluation.l to evaluate spacial ik quarity
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Contributors: Ryohei Ueda

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 00:00:00 -0000

ros-one-jsk-ik-server (0.1.6-0noble) noble; urgency=high

  * add files for jaxonred
  * add jaxon to ik_server
  * change order in find_pkg

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-one-jsk-ik-server (0.1.5-0noble) noble; urgency=high

  * pass warnp as argument in :fullbody-ik-main
  * remove sample robot test
  * Merge branch 'master' into update-samplerobot-in-ik-server
  * use unix:usleep because hrpsys stops clock
  * use hrpsys sample robot for ik server
  * Contributors: JSK Lab Member, leus, Yusuke Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 00:00:00 -0000

ros-one-jsk-ik-server (0.1.4-0noble) noble; urgency=high

  * support hrp2jsknts in ik-server
  * adding hrp2w-ik-server.l

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 21 Oct 2014 00:00:00 -0000

ros-one-jsk-ik-server (0.1.3-0noble) noble; urgency=high



=== debian/control ===
Source: ros-one-jsk-ik-server
Section: misc
Priority: optional
Maintainer: furuta <furuta@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cmake-modules, ros-one-mk, ros-one-moveit-msgs, ros-one-roseus, ros-one-rostest, ros-one-tf
Homepage: http://ros.org/wiki/jsk_ik_server
Standards-Version: 3.9.2

Package: ros-one-jsk-ik-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cmake-modules, ros-one-mk, ros-one-moveit-msgs, ros-one-roseus, ros-one-rostest, ros-one-tf
Description: jsk_ik_server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-ik-server//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-ik-server 0.1.18-14noble.20251208.1002

=== debian/changelog ===
ros-one-jsk-ik-server (0.1.18-14noble.20251208.1002) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 10:02:30 +0000

## ros-one-jsk-ik-server 0.1.18-14noble.20260221.2257

=== debian/changelog ===
ros-one-jsk-ik-server (0.1.18-14noble.20260221.2257) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:57:30 +0000
